[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# StrToBoolDef

Convert string to boolean value, returning default in case of error

## Declaration

Source position: sysstrh.inc line 242

`function StrToBoolDef(`
`const S: string;`
`Default: Boolean`
`):Boolean; function StrToBoolDef(`
`const S: string;`
`Default: Boolean;`
`const FormatSettings: TFormatSettings`
`):Boolean;`

## Description

StrToBoolDef tries to convert the string S to a boolean value, and returns the boolean value in case of success. In case S does not contain a valid boolean string, Default is returned.

## See also

StrToBool |  | Convert a string to a boolean value
TryStrToBool |  | Try to convert a string to a boolean value